.about-us {
    display: grid;
    grid-template-columns: 635px 1fr;
    gap: 40px;
    align-items: center;
}

.about-us .about-us__gallery {
    display: flex;
    gap: 32px;
}

.about-us .about-us__picture {
    box-shadow: -1px 4px 10px 0px #A6A6A61A,
        -6px 18px 19px 0px #A6A6A617,
        -13px 40px 25px 0px #A6A6A60D,
        -23px 71px 30px 0px #A6A6A603,
        -36px 110px 32px 0px #A6A6A600;
    border-radius: 20px;
    overflow: hidden;
    display: flex;
    flex: 1;
    max-height: 505px;
}

.about-us .about-us__picture.bottom {
    margin-top: 67px;
}

.about-us .about-us__img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.about-us .about-us__text {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.about-us .about-us__text .page-text {
    max-width: 500px;
}

@media (max-width: 1100px) {
    .about-us {
        grid-template-columns: minmax(0, 1fr);
        gap: 32px;
    }

    .about-us .about-us__text .page-text {
        max-width: 100%;
    }
}

@media (max-width: 768px) {
    .about-us .about-us__gallery {
        flex-direction: column;
        gap: 16px;
    }

    .about-us .about-us__picture {
        max-height: 380px;
    }

    .about-us .about-us__picture.bottom {
        margin-top: 0;
    }
}

@media (max-width: 520px) {
    .about-us .about-us__picture {
        max-height: 300px;
    }
}
